
/*  gBackGround changes your root window background.
    Copyright (C) 1999  Govind Salinas

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#include <gtk/gtk.h>
#include <gdk/gdk.h>
#include <gdk/gdkx.h>
#include <gdk_imlib.h>
#include <gnome.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <applet-widget.h>
#include <dirent.h>
#include <X11/Xatom.h>
 
void init(void);
GList *makedlist(GList *root, gchar **names, gint num);
GList *makeflist(GList *root, gchar **names, gint num);
void button1_callback(GtkWidget *widget, gpointer data);
void button2_callback(GtkWidget *widget, gpointer data);
void dialog_ok(GtkWidget *widget, gpointer data);
void dialog_cancel(GtkWidget *widget, gpointer data);
gint changebglinear(gpointer data);
gint changebgrandom(gpointer data);
void displayfiles(gchar *nameofentry);
void choosebg(GtkWidget *widget, gpointer data);
void combo_callback(GtkWidget *widget, gpointer data);
gint draw_background(gchar *);
void properties_callback(AppletWidget *widget, gpointer data);
void about_callback(AppletWidget *widget, gpointer data);
void menu_item_callback(AppletWidget *widget, gpointer data);
void add_items(GtkWidget *widget, gpointer data);
void save_config(void);
gint  save_myself(GnomeClient *c, gint p, GnomeSaveStyle ss, int s,
                 GnomeInteractStyle is, gint f, gpointer d);
void die(GtkWidget *w, gpointer d);
void kill_sel(GtkWidget *widget, gpointer data);
void get_dir_info(gchar *dirname);
void change_orient(GtkWidget *widget, PanelOrientType o, gpointer data);
void show_preview(GtkWidget *widget, gpointer data);
void update(GtkWidget *widget, gpointer data);

#define PACKAGE "gBackGround_applet"
#define VERSION "0.9.5"
#define GBACKGROUND_H 1

extern GList *filelist;
extern GList *indfiles;
extern GList *dirnames;
extern GList *dirlist;
extern GtkWidget *window, *scrollwindow, *filesel, *preview;
extern GtkWidget *combo, *pbar, *frame, *mainbox, *hbox, *vbox;
extern gchar *lastfile, *curfile;
extern gint dirnum, filesnum, startmode, interval, changemode;
extern gint tile, center, scaleit, userealmime;

